Foreman - Bug #565

"rake puppet:import:puppet_classes" not detecting changes properly
01/04/2011 04:50 PM - Marcello de Sousa

Status: Closed

Priority: Normal

Assignee: Paul Kelly

Category: Importers

Target version: 0.2

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Example how to reproduce it:

PuppetEnvironment:

[production]

modulepath=/etc/puppet/environments/production/modules

Copy a module (mysql for ex.) from another environment (master) to the "production" env:

cd /etc/puppet/environments/production/modules

cp -a /etc/puppet/environments/master/modules/mysql ./mysq|l

Try running the rake task:

rake puppet:import:puppet_classes RAILS_ENV=production

(in /usr/share/foreman)
Evaluating possible changes to your installation
No changes detected

And in foreman we don't get the module available in the production environment .
The web interface also doesn't see the change
( hitps://foreman.test.bluedome.local/puppetclasses/import_environments )

Related issues:
Related to Foreman - Feature #756: Foreman doesn't see puppet environment's m... Closed 03/17/2011

Associated revisions

Revision bb9a1ad1 - 03/22/2011 06:46 AM - Paul Kelly

Fixes #565 - rake puppet:import:puppet_classes misses some changes

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

Revision 5b6d1303 - 03/22/2011 09:39 AM - Ohad Levy
fixes typo in log output - refs #565

History

#1 - 01/04/2011 04:57 PM - Marcello de Sousa

| noticed that, if | "destroy" in foreman a class or an environment and run the rake task again, it then detect and import the changes described above
https://foreman.test.bluedome.local/puppetclasses/import_environments
mailto:paul.ian.kelly@googlemail.com

but it won't report them:

1- destroy a class via GUI
2- rake puppet:import:puppet_classes RAILS_ENV=production

Evaluating possible changes to your installation
Scheduled changes to your environment

New environments

Obsolete environments

New puppetclasses : apache2

Obsolete puppetclasses :

3- "apache2" is re-inported as well as the new "mysql" module/classes (not reported)

#2 - 01/20/2011 09:00 AM - Paul Kelly
- Status changed from New to Ready For Testing
- Assignee changed from Ohad Levy to Paul Kelly

- Branch set to bug/565-import-puppet_classes-wrong

Just rewrote the whole thing.

#3 - 01/23/2011 02:20 PM - Ohad Levy
- Status changed from Ready For Testing to Closed

#4 - 01/23/2011 02:21 PM - Ohad Levy
- Status changed from Closed to Ready For Testing

oops, closed by mistake, reopening

#5 - 01/28/2011 04:07 AM - Paul Kelly

rebased
retested
repushed

#6 - 03/04/2011 09:48 AM - Paul Kelly

rebased
retested
repushed

#7 - 03/10/2011 03:37 AM - Paul Kelly

rebased
retested
repushed

#8 - 03/17/2011 07:59 AM - Paul Kelly

- Status changed from Ready For Testing to Need more information

Ohad, You say that you experienced some problems with this patch. Something about an eval that failed. Could you provide more information?
Maybe the log showing the http call?

#9 - 03/17/2011 12:19 PM - Marcello de Sousa

Hi, I've installed today the latest Foreman from the develop branch and still having similar problems as in the description of this issue.
It still doesn't detect changes properly with both the script and the Web interface.

#10 - 03/21/2011 10:48 AM - Paul Kelly

rebased, retested and pushed.

Maybe these minor mods have fixed the issue but | think not.

Ohad if you can reproduce your eval failures | would like to look at your logs :-) | have repeatedly added the example42 database, in various ways,
and have had no problems.

#11 - 03/22/2011 06:49 AM - Paul Kelly

- Status changed from Need more information to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset bb9aiad166b73677ade3f17a6491ae56d6750ba5.

#12 - 03/22/2011 10:45 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
